#
# spec file for "reflections"
#
# Copyright (c) 2015 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           reflections
Version:        0.9.10
Release:        1.46.uyuni3
License:        WTFPL
Summary:        Reflections - a Java runtime metadata
Url:            http://github.com/ronmamo/reflections
Group:          Development/Libraries/Java
Source0:        reflections-0.9.10.tar.gz
Source1:        build.sh
Patch0:         reflections-0.9.10-jdk9.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires: xmvn-tools
BuildRequires: xmvn-minimal
BuildRequires:  java-devel
BuildArch:      noarch
Provides:       mvn(org.reflections:reflections) == 0.9.10
Requires:       java
Requires:       mvn(com.google.guava:guava) 

%description
Reflections - a Java runtime metadata

%prep
%setup -q -c -n src
%patch0 -p1
cp -f %{SOURCE1} .

%build
cd ..
sh src/build.sh

%install
export NO_BRP_CHECK_BYTECODE_VERSION=true
mkdir -p %{buildroot}%{_javadir}
cp -a reflections-0.9.10/target/reflections-0.9.10.jar %{buildroot}%{_javadir}/reflections-0.9.10.jar
ln -sf reflections-0.9.10.jar %{buildroot}%{_javadir}/reflections.jar

%files
%defattr(-,root,root)
%doc reflections-0.9.10/COPYING.txt
%{_javadir}/*

%changelog
* Mon Nov  6 2017 jgonzalez@suse.com
- Fix build for JDK9
- Add:
  * reflections-0.9.10-jdk9.patch
* Tue Nov 10 2015 mc@suse.de
- initial version 0.9.10
